package com.house365.beans.entity;

import com.house365.beans.system.DomainObject;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

/**
 * 云迹活动实体类
 *
 * @author Created by Administrator on 2020/3/25.
 */
public class CloudActivityEntity extends DomainObject {

    private static final long serialVersionUID = 1L;

    private String name;
    private int customerCount;
    private int waitCount;
    private int sentCount;
    private String city;
    private int createId;
    private String createName;
    private Date createTime;
    private int isDelete;

    private int totalPriceMin;
    private int totalPriceMax;
    private int areaMin;
    private int areaMax;
    private String block;
    private String blockName;
    private String district;
    private String districtName;
    private String channel;
    private String channelName;

    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date seeStartTime;
    @DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
    private Date seeEndTime;
    private String seeProjectName;
    private int seeCount;
    private int type;

    private String projectId;
    private String projectName;
    private List<String> blockList;
    private List<String> districtList;
    private String startTime;
    private String endTime;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getCustomerCount() {
        return customerCount;
    }

    public void setCustomerCount(int customerCount) {
        this.customerCount = customerCount;
    }

    public int getWaitCount() {
        return waitCount;
    }

    public void setWaitCount(int waitCount) {
        this.waitCount = waitCount;
    }

    public int getSentCount() {
        return sentCount;
    }

    public void setSentCount(int sentCount) {
        this.sentCount = sentCount;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public int getCreateId() {
        return createId;
    }

    public void setCreateId(int createId) {
        this.createId = createId;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public int getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(int isDelete) {
        this.isDelete = isDelete;
    }

    public int getTotalPriceMin() {
        return totalPriceMin;
    }

    public void setTotalPriceMin(int totalPriceMin) {
        this.totalPriceMin = totalPriceMin;
    }

    public int getTotalPriceMax() {
        return totalPriceMax;
    }

    public void setTotalPriceMax(int totalPriceMax) {
        this.totalPriceMax = totalPriceMax;
    }

    public int getAreaMin() {
        return areaMin;
    }

    public void setAreaMin(int areaMin) {
        this.areaMin = areaMin;
    }

    public int getAreaMax() {
        return areaMax;
    }

    public void setAreaMax(int areaMax) {
        this.areaMax = areaMax;
    }

    public String getBlock() {
        return block;
    }

    public void setBlock(String block) {
        this.block = block;
    }

    public String getBlockName() {
        return blockName;
    }

    public void setBlockName(String blockName) {
        this.blockName = blockName;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public String getChannel() {
        return channel;
    }

    public void setChannel(String channel) {
        this.channel = channel;
    }

    public String getChannelName() {
        return channelName;
    }

    public void setChannelName(String channelName) {
        this.channelName = channelName;
    }

    public Date getSeeStartTime() {
        return seeStartTime;
    }

    public void setSeeStartTime(Date seeStartTime) {
        this.seeStartTime = seeStartTime;
    }

    public Date getSeeEndTime() {
        return seeEndTime;
    }

    public void setSeeEndTime(Date seeEndTime) {
        this.seeEndTime = seeEndTime;
    }

    public String getSeeProjectName() {
        return seeProjectName;
    }

    public void setSeeProjectName(String seeProjectName) {
        this.seeProjectName = seeProjectName;
    }

    public int getSeeCount() {
        return seeCount;
    }

    public void setSeeCount(int seeCount) {
        this.seeCount = seeCount;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public List<String> getBlockList() {
        return blockList;
    }

    public void setBlockList(List<String> blockList) {
        this.blockList = blockList;
    }

    public List<String> getDistrictList() {
        return districtList;
    }

    public void setDistrictList(List<String> districtList) {
        this.districtList = districtList;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }
}
